package com.zfire.jiasm.syncdata.constant;

import com.zfire.jiasm.syncdata.api.OrderAddBeanDTO;
import com.zfire.jiasm.syncdata.config.FeignConfigure;
import com.zfire.jiasm.syncdata.service.impl.JiasmFeignClientFallback;
import com.zfire.jiasm.syncdata.utils.ResponseHelper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "jiasm-service", path ="/pcapi",
        configuration = FeignConfigure.class,
        fallback = JiasmFeignClientFallback.class)
public interface JiasmFeign {
    @PostMapping("order/add")
    ResponseHelper orderAdd(@RequestBody OrderAddBeanDTO orderAddBeanDTO);
}
